Bug 20831 - (Bug 9573 follow-up) Pass id as first parameter instead of selector
Summary: (Bug 9573 follow-up) Pass id as first parameter instead of selector
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on: 9573
Blocks: 20806
  Show dependency treegraph
 
Reported: 2018-05-29 08:47 UTC by Josef Moravec
Modified: 2019-10-14 19:56 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20831: Fix KohaTable calls after bug 9573 (1.31 KB, patch)
2018-05-29 09:10 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 20831: Fix KohaTable calls after bug 9573 (1.46 KB, patch)
2018-05-29 12:13 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 20831: Fix KohaTable calls after bug 9573 (1.54 KB, patch)
2018-05-29 14:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2018-05-29 08:47:00 UTC
Bug 9573 (commit 771de35a2b297cc5058f83ed3e19e34927f95c36) changed the siganture of KohaTable to take id instead of selector. But not all calls were updated.
Comment 1 Josef Moravec 2018-05-29 09:10:18 UTC Comment hidden (obsolete)
Comment 2 Séverine Queune 2018-05-29 12:13:32 UTC
Created attachment 75629 [details] [review]
Bug 20831: Fix KohaTable calls after bug 9573

Test plan:
0) Do not apply the patch
1) Confirm not working datatable on patrons hold history page
2) Apply the patch
3) The table should be working now

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 Séverine Queune 2018-05-29 12:15:01 UTC
Works perfectly now, thanks Josef !
Comment 4 Jonathan Druart 2018-05-29 14:35:49 UTC
Created attachment 75636 [details] [review]
Bug 20831: Fix KohaTable calls after bug 9573

Test plan:
0) Do not apply the patch
1) Confirm not working datatable on patrons hold history page
2) Apply the patch
3) The table should be working now

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Nick Clemens 2018-06-04 17:49:58 UTC
Pushed to master for 18.11, awesome work everybody!
Comment 6 Martin Renvoize 2018-06-05 11:06:56 UTC
This patch has been pushed to 18.05.x and will be in 18.05.01
Comment 7 Fridolin Somers 2018-06-07 07:20:29 UTC
Depends on Bug 9573 not in 17.11.x